#ifndef __PLAYER_INFO_H
#define __PLAYER_INFO_H

#include <tqframe.h>
#include <tqlabel.h>
class TQPixmap;
#include <tqlcdnumber.h>
#include <tqcolor.h>

class PlayerInfo:public TQFrame
{
   Q_OBJECT
  
public:
   PlayerInfo(int pnr,TQWidget *parent=0,const char *name=0);
public slots:
   void setHitpoints(int h);
   void setEnergy(int e);
   void setWins(int w);
private:
   TQPixmap* pix[4];
   int currentPixmap;
   TQLabel lplayer,lenergy,lwins;
   TQLCDNumber hitpoints,energy,wins;
};

#endif
